> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.ada.cx/data-export-conversation-object/get-conversations/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.ada.cx/_mcp/server. # Return conversations matching the parameters GET https://example.ada.support/api/v2/export/conversations Returns a list of `conversation` objects along with a `next_page_uri` if applicable Reference: https://docs.ada.cx/data-export-conversation-object/get-conversations ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Request ### Query parameters - `created_since` (string, optional) — Return records that were created after this date. If `created_to` is not specified, only records within 7 days of this timestamp are returned. To retrieve data beyond that window, set `created_to` explicitly. Note that `updated_since` and `created_since` are mutually exclusive, so you must only use one in a request. Must be an ISO 8601 UTC timestamp ending with 'Z' (e.g., `2024-07-01T00:00:00Z`); required for valid API requests. - `updated_since` (string, optional) — Return records that were updated after this date. Note that `updated_since` and `created_since` are mutually exclusive, so you must only use one in a request. Must be an ISO 8601 UTC timestamp ending with 'Z' (e.g., `2024-07-01T00:00:00Z`); required for valid API requests. - `page_size` (integer, optional, default: 10000) — Number of records to return in response. The maximum and default is 10000, the minimum is 100. - `created_to` (string, optional, nullable) — Return records that were created earlier than this date. If `created_since` is used and this parameter is not specified, this value defaults to 7 days after `created_since`. Must be an ISO 8601 UTC timestamp ending with 'Z' (e.g., `2024-07-01T00:00:00Z`); required for valid API requests. - `updated_to` (string, optional, nullable) — Return records that were updated earlier than this date. If `updated_since` is used and this parameter is not specified, this value defaults to 7 days after `updated_since`. Must be an ISO 8601 UTC timestamp ending with 'Z' (e.g., `2024-07-01T00:00:00Z`); required for valid API requests. ## Response ### 200 Ada successfully processed the request - `data` (list of Conversation, optional) — Records returned from the query - `meta` (ConversationsResponseMeta, optional) ## Errors ### 400 Bad Request Error Invalid request - `errors` (list of ErrorsErrorsItems, required) — A list of errors ### 401 Unauthorized Error Unauthorized - `errors` (list of ErrorsErrorsItems, required) — A list of errors ### 404 Not Found Error Not Found - `errors` (list of ErrorsErrorsItems, required) — A list of errors ### 429 Too Many Requests Error Too Many Requests - `errors` (list of ErrorsErrorsItems, required) — A list of errors ### 500 Internal Server Error Internal Server Error - `errors` (list of ErrorsErrorsItems, required) — A list of errors ## Types ### Conversation - `_id` (string, optional) — Unique ID for the conversation record - `agent_id` (list of string, optional) — The list of unique IDs for agents involved in the conversation - `agent_handle_time` (double, optional) — Time taken for a human agent to handle a conversation in seconds - `agent_name` (list of string, optional) — A list of names of the agents involved the conversation, corresponding to the agent IDs - `automated_resolution_classification` (string, optional) — Classification of either Resolved or Not Resolved for the conversation - `automated_resolution_classification_reason` (string, optional) — Explanation of the reason for the assigned automated_resolution_classification - `bot_handle_time` (double, optional) — Time taken for the AI agent to handle a conversation in seconds - `browser` (string, optional) — The browser used by the chatter - `browser_version` (string, optional) — The version of the browser used by the chatter - `changeset_id` (string, optional) — The change set the conversation ran against. Returns `baseline` when the conversation ran against the published configuration. - `chatter_id` (string, optional) — Ada ID of the chatter having this conversation - `classifications` (list of ConversationClassificationsItems, optional) — Topic and Intent classifications for this conversation. Returns an empty array when the conversation has no classifications. - `csat` (ConversationCsat, optional) — Object of customer satisfaction survey data for this conversation - `date_created` (string, optional) — Date and time the record was created (UTC) - `date_updated` (string, optional) — Last date and time the record was updated (UTC) - `device` (string, optional) — The device the chatter used, such as iphone, android, etc. - `end_user_id` (string, optional, nullable) — The End User ID used to identify the chatter profile in the conversation - `generated_topic_id` (string, optional) — The unique ID Ada associated with the generated conversation topic - `generated_topic_label` (string, optional, nullable) — The title of the generated conversation topic - `generated_topic_v2_id` (string, optional, nullable) — The unique ID Ada associated with the generated conversation topic using Topics V2 - `generated_topic_v2_title` (string, optional, nullable) — The title of the generated conversation topic using Topics V2 - `generated_topic_v2_desc` (string, optional, nullable) — The descrtiption of the generated conversation topic using Topics V2 - `generated_topic_v2_parent_id` (string, optional, nullable) — The unique ID Ada associated with the generated conversation topic's parent category topic. Null if topic has no parent category topic. - `inquiry_summary` (string, optional) — An automatically generated summary of the customer's inquiry - `is_engaged` (boolean, optional) — Whether the chatter engaged with the bot during this conversation - `is_escalated` (boolean, optional) — Whether the chatter escalated to a live agent during this conversation - `is_test_user` (boolean, optional) — Whether the conversation was started by a test user - `language` (string, optional) — The language the chatter used - `last_agent_id` (string, optional) — The unique ID of the agent who most recently handled the conversation (latest activity timestamp). Null when no agent was assigned. Populated only for clients on the generative export path. - `last_agent_name` (string, optional) — The name of the agent who most recently handled the conversation, corresponding to last_agent_id. Null when no agent was assigned. Populated only for clients on the generative export path. - `metavariables` (ConversationMetavariables, optional) — Object of metavariables and their values active during this conversations - `oauth_channel` (string, optional) — The channel used by Oauth - `platform` (string, optional) — Ada platform through which this conversation occurred - `record_last_updated` (string, optional, nullable) — Date and time the record was uploaded to the API - `used_coaching` (list of ConversationUsedCoachingItems, optional) — Coaching events that were applied during the conversation. Each entry includes the coaching applied event id, entity_name, coaching_type, coaching_instructions, and coaching_intent. Returns an empty array when no coaching was applied. - `used_articles` (list of ConversationUsedArticlesItems, optional) — Knowledge articles that were referenced during the conversation. Each entry includes the article id, name, url, and source. Returns an empty array when no articles were referenced. - `used_playbooks` (list of ConversationUsedPlaybooksItems, optional) — Playbooks that were invoked during the conversation. Each entry includes the playbook id, name, playbook_execution_id, and outcome_status. Returns an empty array when no Playbooks were invoked. - `used_mcp` (list of ConversationUsedMcpItems, optional) — MCP tools that were invoked during the conversation. Each entry includes the invocation event id, tool_id, connection_id, connection_name, tool_name, and outcome_status. tool_id is null for invocations recorded before that field was captured. Returns an empty array when no MCP tools were invoked. - `variables` (ConversationVariables, optional) — Object of autocapture and global variables and their values last active during this conversations ### ConversationsResponseMeta - `next_page_uri` (string, optional, nullable) — Link to the next page of results matching the query ### ErrorsErrorsItems - `type` (string, required) — The error type - `message` (string, required) — The error message - `details` (string, optional, nullable) — Extra information about the error ### ConversationClassificationsItems - `topic_id` (string, optional) — Ada ID of the classified Topic - `topic_name` (string, optional) — Name of the classified Topic - `intents` (list of ConversationClassificationsItemsIntentsItems, optional) — Intents classified within this Topic ### ConversationCsat Object of customer satisfaction survey data for this conversation ### ConversationMetavariables Object of metavariables and their values active during this conversations ### ConversationUsedCoachingItems - `id` (string, optional, nullable) - `entity_name` (string, optional, nullable) - `coaching_type` (string, optional, nullable) - `coaching_instructions` (string, optional, nullable) - `coaching_intent` (string, optional, nullable) ### ConversationUsedArticlesItems - `id` (string, optional) - `name` (string, optional) - `url` (string, optional, nullable) - `source` (string, optional, nullable) ### ConversationUsedPlaybooksItems - `id` (string, optional) - `name` (string, optional) - `playbook_execution_id` (string, optional, nullable) - `outcome_status` (string, optional, nullable) ### ConversationUsedMcpItems - `id` (string, optional) - `tool_id` (string, optional, nullable) - `connection_id` (string, optional, nullable) - `connection_name` (string, optional, nullable) - `tool_name` (string, optional, nullable) - `outcome_status` (string, optional, nullable) ### ConversationVariables Object of autocapture and global variables and their values last active during this conversations ### ConversationClassificationsItemsIntentsItems - `intent_id` (string, optional) — Ada ID of the classified Intent - `intent_name` (string, optional) — Name of the classified Intent - `status` (string, optional) — Status of the Intent (for example, active) ## Examples **Response** ```json { "data": [ { "_id": "5d8a7d080afd19b55945c8ab", "agent_id": [ "619d95c0c063a5bf2b1efb7c" ], "agent_handle_time": 4, "agent_name": [ "Ada Lovelace" ], "automated_resolution_classification": "Resolved", "automated_resolution_classification_reason": "The bot provided a detailed step-by-step guide on how to disable auto deposits", "bot_handle_time": 4, "browser": "chrome", "browser_version": "95.0.4638.69", "changeset_id": "66f1a0c063a5bf2b1efb7c12", "chatter_id": "5dbaef7283d791f585563d84", "classifications": [ { "topic_id": "654952d3e90767ff49713fb1", "topic_name": "Billing", "intents": [ { "intent_id": "654952d3e90767ff49713fc2", "intent_name": "Dispute a charge", "status": "active" } ] } ], "csat": { "comment": null, "feedback": null, "is_positive": false, "resolved": null, "score": 3, "style": "EMOJI", "survey_type": "end_chat", "customer_effort_score": 4, "ces_max": 5, "net_promoter_score": 8 }, "date_created": "2019-10-31T14:28:02", "date_updated": "2019-10-31T14:29:02", "device": "macos", "end_user_id": "619d95c0c063a5bf2b1efb64e", "generated_topic_id": "654952d3e90767ff49713fbf", "generated_topic_label": "Billing Inquiries", "generated_topic_v2_id": "654952d3e90767ff49713fb1", "generated_topic_v2_title": "Password Reset Inquiries", "generated_topic_v2_desc": "All conversations regarding resetting passwords", "generated_topic_v2_parent_id": "654952d3e90767ff49713fb2", "inquiry_summary": "The customer wanted to know how to temporarily disable auto deposits", "is_engaged": true, "is_escalated": false, "is_test_user": false, "language": "en", "last_agent_id": "619d95c0c063a5bf2b1efb7c", "last_agent_name": "Ada Lovelace", "metavariables": { "browser": "chrome", "language": "en" }, "oauth_channel": "sms", "platform": "chat", "record_last_updated": {}, "variables": { "account_number": "1234" } } ], "meta": { "next_page_uri": "https://example.ada.support/api/v2/export/conversations?created_since=2023-07-08T06%3A01%3A39%2B00%3A00&created_to=2023-07-22T00%3A00%3A00%2B00%3A00" } } ``` **SDK Code** ```python import requests url = "https://example.ada.support/api/v2/export/conversations" headers = {"Authorization": "Bearer "} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript const url = 'https://example.ada.support/api/v2/export/conversations'; const options = {method: 'GET', headers: {Authorization: 'Bearer '}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://example.ada.support/api/v2/export/conversations" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Bearer ") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://example.ada.support/api/v2/export/conversations") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Bearer ' response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://example.ada.support/api/v2/export/conversations") .header("Authorization", "Bearer ") .asString(); ``` ```php request('GET', 'https://example.ada.support/api/v2/export/conversations', [ 'headers' => [ 'Authorization' => 'Bearer ', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://example.ada.support/api/v2/export/conversations"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", "Bearer "); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Authorization": "Bearer "] let request = NSMutableURLRequest(url: NSURL(string: "https://example.ada.support/api/v2/export/conversations")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```